Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class SubstringCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.SingletonExpressionCompiler
              com.saxonica.codegen.SubstringCompiler

    public class SubstringCompiler

extends SingletonExpressionCompiler

Generate Java code to implement the XPath translate() function

Constructor Summary
`SubstringCompiler()`

Method Summary
`String` | `compileToItem(CompilerService compiler, Expression expr)` Generate Java code to evaluate the expression as an Item

Methods inherited from class com.saxonica.codegen.SingletonExpressionCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToIterator`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileAsLoopWithContext, compileToValueRepresentation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstringCompiler

    public SubstringCompiler()

Method Detail

### compileToItem

    public String compileToItem(CompilerService compiler,
                                Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to evaluate the expression as an Item

  Specified by:
    `compileToItem` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the expression to be compiled
  Returns:
    a simple Java expression (usually the name of a variable that has been declared) which will be of class `Item`, and which will hold the value of the expression at run-time (or hold null, representing an empty sequence).

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.